#
# Conditional build:
%bcond_without	tests	# unit tests

%define		module ConfigArgParse
Summary:	A Python module with support for argparse, config files, and env variables
Summary(pl.UTF-8):	Moduł Pythona wspomagający korzystanie z argparse, plików konfiguracyjnych i zmiennych środowiskowych
Name:		python3-configargparse
Version:	1.7.1
Release:	1
License:	MIT
#Source0Download: https://pypi.org/simple/configargparse/
Source0:	https://files.pythonhosted.org/packages/source/C/ConfigArgParse/configargparse-%{version}.tar.gz
# Source0-md5:	00ef613e320702f0b3eb95e0619ded5f
Group:		Libraries/Python
URL:		https://github.com/bw2/ConfigArgParse
BuildRequires:	python3-modules >= 1:3.6
BuildRequires:	python3-setuptools
%if %{with tests}
BuildRequires:	python3-PyYAML
BuildRequires:	python3-pytest
%endif
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.714
Requires:	python3-modules >= 1:3.6
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Applications with more than a handful of user-settable options are
best configured through a combination of command line args, config
files, hard coded defaults, and in some cases, environment variables.

Python's command line parsing modules such as argparse have very
limited support for config files and environment variables, so this
module extends argparse to add these features.

%description -l pl.UTF-8
Aplikacje z więcej niż kilkoma opcjami ustawianymi przez użytkownika
najlepiej się konfiguruje połączeniem argumentów wiersza poleceń,
plików konfiguracyjnych, zakodowanych opcji domyślnych oraz, w
niektórych przypadkach, zmiennych środowiskowych.

Moduły Pythona do analizy wiersza poleceń, takie jak argparse, mają
bardzo ograniczoną obsługę plików konfiguracyjnych i zmiennych
środowiskowych, więc ten moduł rozszerza argparse o tę funkcjonalność.

%prep
%setup -q -n configargparse-%{version}

%build
%py3_build

%if %{with tests}
PYTEST_DISABLE_PLUGIN_AUTOLOAD=1 \
PYTHONPATH=$(pwd) \
%{__python3} -m pytest tests
%endif

%install
rm -rf $RPM_BUILD_ROOT

%py3_install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README.rst LICENSE
%{py3_sitescriptdir}/configargparse.py
%{py3_sitescriptdir}/__pycache__/configargparse.cpython-*.py[co]
%{py3_sitescriptdir}/ConfigArgParse-%{version}-py*.egg-info
%changelog
* Sat May 31 2025 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python3-configargparse.git;a=log;h=master

* Sat May 31 2025 Jakub Bogusz <qboosh@pld-linux.org> ac4e3ec
- updated to 1.7.1

* Sat May 31 2025 Jakub Bogusz <qboosh@pld-linux.org> 23355e6
- pl

* Wed Apr 30 2025 Arkadiusz Miśkiewicz <arekm@maven.pl> f93a7c1
- Up to 1.7

* Tue Mar 11 2025 Jan Rękorajski <baggins@pld-linux.org> ea45497
- doc/test rebuild for python 3.13

* Mon Mar 10 2025 Jan Rękorajski <baggins@pld-linux.org> e36c565
- python 3.13 rebuild

* Wed Mar 30 2022 Jan Rękorajski <baggins@pld-linux.org> 912ec02
- rebuild with tests and docs

* Sat Mar 26 2022 Jan Rękorajski <baggins@pld-linux.org> 0653327
- rebuild with python 3.10

* Fri Mar 25 2022 Jan Rękorajski <baggins@pld-linux.org> deae8db
- rebuild with python 3.10

* Sat Feb 27 2021 Jan Rękorajski <baggins@pld-linux.org> 9458692
- release 3 (by relup.sh)

* Mon Oct 28 2019 Jan Rękorajski <baggins@pld-linux.org> 353b51b
- rebuild with python 3.8
- release 2 (by relup.sh)

* Wed Jan 02 2019 Adam Osuchowski <adwol@pld-linux.org> 1ef86ee
- up to 0.13.0

* Sun Jul 01 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> fd7dc5e
- python 3.7 rebuild
- release 3 (by relup.sh)

* Thu Dec 29 2016 Arkadiusz Miśkiewicz <arekm@maven.pl> 04f8952
- python 3.6
- release 2 (by relup.sh)

* Sun Dec 06 2015 Elan Ruusamäe <glen@delfi.ee> 2cc8a23
- new, version 0.9.3

